/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.neuroph.easyneurons.file;

import org.neuroph.core.NeuralNetwork;
import org.neuroph.core.learning.TrainingSet;
import org.neuroph.util.plugins.LabelsPlugin;

/**
 * 
 * @author Marko
 */
public class FileIO {

	public void saveNeuralNetwork(NeuralNetwork nnet, String filename,
			String filePath) {
		
		((LabelsPlugin)nnet.getPlugin("LabelsPlugin") ).setLabel(nnet, filename);
		
		try {
			nnet.save(filePath);
		} catch (Exception e) {
			System.err.println(e.getMessage());
			e.printStackTrace();
		}
	}

	public NeuralNetwork loadNeuralNetwork(String filePath) {
		try {
			NeuralNetwork nnet = NeuralNetwork.load(filePath);
			return nnet;
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}

		return null;
	}

	public void saveTrainingSet(TrainingSet ts, String filename, String filePath) {
		ts.setLabel(filename);
		try {
			ts.save(filePath);
		} catch (Exception e) {
			System.err.println(e.getMessage());
			e.printStackTrace();
		}
	}

	public TrainingSet loadTrainingSet(String filePath) {
		try {
			TrainingSet tSet = TrainingSet.load(filePath);
			return tSet;
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}

		return null;
	}

}
